Bug 1004049 - Users upgrading from 2.1 or earlier will not be able to publish repositories that contain errata that were sync'd before the upgrade
Users upgrading from 2.1 or earlier will not be able to publish repositories ...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2 Beta
x86_64 Linux
unspecified Severity urgent
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 15:13 EDT by Randy Barlow
Modified: 2013-09-10 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-09-03 15:13:12 EDT
I had a Pulp 2.0 server that had the "zoo" repository syncronized. Then I upgraded to Pulp 2.2 beta, and ran pulp-manage-db. I am now unable to publish the zoo repository, due to a field in one of the errata called from_str.

Oddly (a separate issue) the pulp-admin rpm publish command told me that everything was fine, but the files were not published, and there was a traceback in the pulp.log:

2013-09-03 14:47:37,924 pulp.server.dispatch.task:INFO: FAILURE: Task 9c3cdc58-51fc-4dcf-85a3-23fa334ee7bb: CallRequest: RepoPublishManager.publish(u'zoo', u'yum_distributor')
2013-09-03 14:55:16,427 pulp.server.managers.repo.publish:ERROR: Exception caught from plugin during publish for repo [zoo]
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 122, in _do_publish
    publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 451, in publish_repo
    updateinfo_xml_path = updateinfo.updateinfo(errata_units, repo.working_dir)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/yum_plugin/updateinfo.py", line 159, in updateinfo
    'from'             : e.metadata['from'],
KeyError: 'from'

In my Mongo shell, I've found an example errata that still has the from_str attribute:

> db.units_erratum.find()[0]
{
	"_id" : "5fa9d57c-6c15-4118-a665-a11f7e04dad6",
	"status" : "stable",
	"updated" : "",
	"description" : "Bird_Erratum",
	"issued" : "2012-01-27 16:08:08",
	"pushcount" : 1,
	"references" : [ ],
	"_content_type_id" : "erratum",
	"id" : "RHEA-2012:0003",
	"from_str" : "errata@redhat.com",
	"_storage_path" : null,
	"reboot_suggested" : false,
	"severity" : "",
	"rights" : "",
	"_ns" : "units_erratum",
	"title" : "Bird_Erratum",
	"solution" : "",
	"summary" : "",
	"version" : "1",
	"release" : "1",
	"type" : "security",
	"pkglist" : [
		{
			"packages" : [
				{
					"src" : "http://www.fedoraproject.org",
					"name" : "crow",
					"filename" : "crow-0.8-1.noarch.rpm",
					"epoch" : null,
					"version" : "0.8",
					"release" : "1",
					"arch" : "noarch"
				},
				{
					"src" : "http://www.fedoraproject.org",
					"name" : "stork",
					"filename" : "stork-0.12-2.noarch.rpm",
					"epoch" : null,
					"version" : "0.12",
					"release" : "2",
					"arch" : "noarch"
				},
				{
					"src" : "http://www.fedoraproject.org",
					"name" : "duck",
					"filename" : "duck-0.6-1.noarch.rpm",
					"epoch" : null,
					"version" : "0.6",
					"release" : "1",
					"arch" : "noarch"
				}
			],
			"name" : "1",
			"short" : ""
		}
	]
}

I think that we will need a migration to look for errata units with from_str, and convert them to from.
Comment 1 Michael Hrivnak 2013-09-03 17:20:27 EDT
https://github.com/pulp/pulp_rpm/pull/321
Comment 2 Preethi Thomas 2013-09-04 13:37:40 EDT
[root@pulp-v2-server ~]# yum update @pulp-server
Loaded plugins: product-id, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
epel/metalink                                            |  14 kB     00:00     
epel                                                     | 4.2 kB     00:00     
epel/primary_db                                          | 5.4 MB     00:00     
pulp-v2-beta                                             | 1.9 kB     00:00     
pulp-v2-beta/primary                                     |  10 kB     00:00     
pulp-v2-beta                                                              43/43
rhel-optional                                            | 3.7 kB     00:00     
rhel-server                                              | 3.9 kB     00:00     
Setting up Update Process
pulp-v2-beta/group_gz                                    |  371 B     00:00     
Resolving Dependencies
--> Running transaction check
---> Package pulp-puppet-plugins.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package pulp-puppet-plugins.noarch 0:2.2.0-0.30.beta.el6 will be an update
--> Processing Dependency: python-pulp-puppet-common = 2.2.0 for package: pulp-puppet-plugins-2.2.0-0.30.beta.el6.noarch
--> Processing Dependency: python-pulp-common = 2.2.0 for package: pulp-puppet-plugins-2.2.0-0.30.beta.el6.noarch
---> Package pulp-rpm-plugins.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package pulp-rpm-plugins.noarch 0:2.2.0-0.30.beta.el6 will be an update
--> Processing Dependency: python-pulp-rpm-common = 2.2.0 for package: pulp-rpm-plugins-2.2.0-0.30.beta.el6.noarch
--> Processing Dependency: python-nectar >= 1.1.0 for package: pulp-rpm-plugins-2.2.0-0.30.beta.el6.noarch
--> Processing Dependency: createrepo >= 0.9.9-21 for package: pulp-rpm-plugins-2.2.0-0.30.beta.el6.noarch
---> Package pulp-selinux.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package pulp-selinux.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package pulp-server.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package pulp-server.noarch 0:2.2.0-0.30.beta.el6 will be an update
--> Running transaction check
---> Package createrepo.noarch 0:0.9.9-18.el6 will be updated
---> Package createrepo.noarch 0:0.9.9-21.2.pulp.el6 will be an update
---> Package python-nectar.noarch 0:0.90.3-2.el6 will be updated
---> Package python-nectar.noarch 0:1.1.1-1.el6 will be an update
---> Package python-pulp-common.noarch 0:2.1.3-0.1.beta.el6 will be updated
--> Processing Dependency: python-pulp-common = 2.1.3-0.1.beta.el6 for package: python-pulp-client-lib-2.1.3-0.1.beta.el6.noarch
--> Processing Dependency: python-pulp-common = 2.1.3-0.1.beta.el6 for package: python-pulp-bindings-2.1.3-0.1.beta.el6.noarch
--> Processing Dependency: python-pulp-common = 2.1.3-0.1.beta.el6 for package: pulp-admin-client-2.1.3-0.1.beta.el6.noarch
--> Processing Dependency: python-pulp-common = 2.1.3-0.1.beta.el6 for package: pulp-puppet-admin-extensions-2.1.3-0.1.beta.el6.noarch
---> Package python-pulp-common.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package python-pulp-puppet-common.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package python-pulp-puppet-common.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package python-pulp-rpm-common.noarch 0:2.1.3-0.1.beta.el6 will be updated
--> Processing Dependency: python-pulp-rpm-common = 2.1.3-0.1.beta.el6 for package: python-pulp-rpm-extension-2.1.3-0.1.beta.el6.noarch
---> Package python-pulp-rpm-common.noarch 0:2.2.0-0.30.beta.el6 will be an update
--> Running transaction check
---> Package pulp-admin-client.noarch 0:2.1.3-0.1.beta.el6 will be updated
--> Processing Dependency: pulp-admin-client = 2.1.3-0.1.beta.el6 for package: pulp-builtins-admin-extensions-2.1.3-0.1.beta.el6.noarch
--> Processing Dependency: pulp-admin-client = 2.1.3-0.1.beta.el6 for package: pulp-rpm-admin-extensions-2.1.3-0.1.beta.el6.noarch
---> Package pulp-admin-client.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package pulp-puppet-admin-extensions.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package pulp-puppet-admin-extensions.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package python-pulp-bindings.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package python-pulp-bindings.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package python-pulp-client-lib.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package python-pulp-client-lib.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package python-pulp-rpm-extension.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package python-pulp-rpm-extension.noarch 0:2.2.0-0.30.beta.el6 will be an update
--> Running transaction check
---> Package pulp-builtins-admin-extensions.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package pulp-builtins-admin-extensions.noarch 0:2.2.0-0.30.beta.el6 will be an update
---> Package pulp-rpm-admin-extensions.noarch 0:2.1.3-0.1.beta.el6 will be updated
---> Package pulp-rpm-admin-extensions.noarch 0:2.2.0-0.30.beta.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                        Arch   Version               Repository    Size
================================================================================
Updating:
 pulp-puppet-plugins            noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  58 k
 pulp-rpm-plugins               noarch 2.2.0-0.30.beta.el6   pulp-v2-beta 247 k
 pulp-selinux                   noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  40 k
 pulp-server                    noarch 2.2.0-0.30.beta.el6   pulp-v2-beta 595 k
Updating for dependencies:
 createrepo                     noarch 0.9.9-21.2.pulp.el6   pulp-v2-beta  90 k
 pulp-admin-client              noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  31 k
 pulp-builtins-admin-extensions noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  37 k
 pulp-puppet-admin-extensions   noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  39 k
 pulp-rpm-admin-extensions      noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  52 k
 python-nectar                  noarch 1.1.1-1.el6           pulp-v2-beta  43 k
 python-pulp-bindings           noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  66 k
 python-pulp-client-lib         noarch 2.2.0-0.30.beta.el6   pulp-v2-beta 153 k
 python-pulp-common             noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  70 k
 python-pulp-puppet-common      noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  24 k
 python-pulp-rpm-common         noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  52 k
 python-pulp-rpm-extension      noarch 2.2.0-0.30.beta.el6   pulp-v2-beta  95 k

Transaction Summary
================================================================================
Upgrade      16 Package(s)

Total download size: 1.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/16): createrepo-0.9.9-21.2.pulp.el6.noarch.rpm        |  90 kB     00:00     
(2/16): pulp-admin-client-2.2.0-0.30.beta.el6.noarch.rpm |  31 kB     00:00     
(3/16): pulp-builtins-admin-extensions-2.2.0-0.30.beta.e |  37 kB     00:00     
(4/16): pulp-puppet-admin-extensions-2.2.0-0.30.beta.el6 |  39 kB     00:00     
(5/16): pulp-puppet-plugins-2.2.0-0.30.beta.el6.noarch.r |  58 kB     00:00     
(6/16): pulp-rpm-admin-extensions-2.2.0-0.30.beta.el6.no |  52 kB     00:00     
(7/16): pulp-rpm-plugins-2.2.0-0.30.beta.el6.noarch.rpm  | 247 kB     00:00     
(8/16): pulp-selinux-2.2.0-0.30.beta.el6.noarch.rpm      |  40 kB     00:00     
(9/16): pulp-server-2.2.0-0.30.beta.el6.noarch.rpm       | 595 kB     00:00     
(10/16): python-nectar-1.1.1-1.el6.noarch.rpm            |  43 kB     00:00     
(11/16): python-pulp-bindings-2.2.0-0.30.beta.el6.noarch |  66 kB     00:00     
(12/16): python-pulp-client-lib-2.2.0-0.30.beta.el6.noar | 153 kB     00:00     
(13/16): python-pulp-common-2.2.0-0.30.beta.el6.noarch.r |  70 kB     00:00     
(14/16): python-pulp-puppet-common-2.2.0-0.30.beta.el6.n |  24 kB     00:00     
(15/16): python-pulp-rpm-common-2.2.0-0.30.beta.el6.noar |  52 kB     00:00     
(16/16): python-pulp-rpm-extension-2.2.0-0.30.beta.el6.n |  95 kB     00:00     
--------------------------------------------------------------------------------
Total                                           226 kB/s | 1.7 MB     00:07     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : python-pulp-common-2.2.0-0.30.beta.el6.noarch               1/32 
  Updating   : python-pulp-rpm-common-2.2.0-0.30.beta.el6.noarch           2/32 
  Updating   : python-pulp-puppet-common-2.2.0-0.30.beta.el6.noarch        3/32 
  Updating   : python-nectar-1.1.1-1.el6.noarch                            4/32 
  Updating   : pulp-server-2.2.0-0.30.beta.el6.noarch                      5/32 
warning: /etc/pulp/server.conf created as /etc/pulp/server.conf.rpmnew
  Updating   : python-pulp-rpm-extension-2.2.0-0.30.beta.el6.noarch        6/32 
  Updating   : python-pulp-bindings-2.2.0-0.30.beta.el6.noarch             7/32 
  Updating   : python-pulp-client-lib-2.2.0-0.30.beta.el6.noarch           8/32 
  Updating   : pulp-builtins-admin-extensions-2.2.0-0.30.beta.el6.noarc    9/32 
  Updating   : pulp-admin-client-2.2.0-0.30.beta.el6.noarch               10/32 
warning: /etc/pulp/admin/admin.conf created as /etc/pulp/admin/admin.conf.rpmnew
  Updating   : createrepo-0.9.9-21.2.pulp.el6.noarch                      11/32 
  Updating   : pulp-rpm-plugins-2.2.0-0.30.beta.el6.noarch                12/32 
  Updating   : pulp-puppet-admin-extensions-2.2.0-0.30.beta.el6.noarch    13/32 
  Updating   : pulp-rpm-admin-extensions-2.2.0-0.30.beta.el6.noarch       14/32 
  Updating   : pulp-puppet-plugins-2.2.0-0.30.beta.el6.noarch             15/32 
  Updating   : pulp-selinux-2.2.0-0.30.beta.el6.noarch                    16/32 
  Cleanup    : pulp-puppet-plugins-2.1.3-0.1.beta.el6.noarch              17/32 
  Cleanup    : pulp-puppet-admin-extensions-2.1.3-0.1.beta.el6.noarch     18/32 
  Cleanup    : pulp-rpm-plugins-2.1.3-0.1.beta.el6.noarch                 19/32 
  Cleanup    : pulp-rpm-admin-extensions-2.1.3-0.1.beta.el6.noarch        20/32 
  Cleanup    : pulp-admin-client-2.1.3-0.1.beta.el6.noarch                21/32 
  Cleanup    : pulp-builtins-admin-extensions-2.1.3-0.1.beta.el6.noarch   22/32 
  Cleanup    : python-pulp-bindings-2.1.3-0.1.beta.el6.noarch             23/32 
  Cleanup    : python-pulp-client-lib-2.1.3-0.1.beta.el6.noarch           24/32 
  Cleanup    : python-pulp-rpm-extension-2.1.3-0.1.beta.el6.noarch        25/32 
  Cleanup    : python-pulp-rpm-common-2.1.3-0.1.beta.el6.noarch           26/32 
  Cleanup    : pulp-server-2.1.3-0.1.beta.el6.noarch                      27/32 
  Cleanup    : python-pulp-puppet-common-2.1.3-0.1.beta.el6.noarch        28/32 
  Cleanup    : python-pulp-common-2.1.3-0.1.beta.el6.noarch               29/32 
  Cleanup    : createrepo-0.9.9-18.el6.noarch                             30/32 
  Cleanup    : pulp-selinux-2.1.3-0.1.beta.el6.noarch                     31/32 
  Cleanup    : python-nectar-0.90.3-2.el6.noarch                          32/32 
  Verifying  : python-pulp-common-2.2.0-0.30.beta.el6.noarch               1/32 
  Verifying  : python-pulp-bindings-2.2.0-0.30.beta.el6.noarch             2/32 
  Verifying  : python-pulp-rpm-extension-2.2.0-0.30.beta.el6.noarch        3/32 
  Verifying  : pulp-builtins-admin-extensions-2.2.0-0.30.beta.el6.noarc    4/32 
  Verifying  : pulp-server-2.2.0-0.30.beta.el6.noarch                      5/32 
  Verifying  : python-nectar-1.1.1-1.el6.noarch                            6/32 
  Verifying  : pulp-rpm-plugins-2.2.0-0.30.beta.el6.noarch                 7/32 
  Verifying  : pulp-selinux-2.2.0-0.30.beta.el6.noarch                     8/32 
  Verifying  : pulp-puppet-admin-extensions-2.2.0-0.30.beta.el6.noarch     9/32 
  Verifying  : python-pulp-rpm-common-2.2.0-0.30.beta.el6.noarch          10/32 
  Verifying  : pulp-admin-client-2.2.0-0.30.beta.el6.noarch               11/32 
  Verifying  : pulp-rpm-admin-extensions-2.2.0-0.30.beta.el6.noarch       12/32 
  Verifying  : createrepo-0.9.9-21.2.pulp.el6.noarch                      13/32 
  Verifying  : python-pulp-client-lib-2.2.0-0.30.beta.el6.noarch          14/32 
  Verifying  : python-pulp-puppet-common-2.2.0-0.30.beta.el6.noarch       15/32 
  Verifying  : pulp-puppet-plugins-2.2.0-0.30.beta.el6.noarch             16/32 
  Verifying  : python-pulp-puppet-common-2.1.3-0.1.beta.el6.noarch        17/32 
  Verifying  : pulp-rpm-plugins-2.1.3-0.1.beta.el6.noarch                 18/32 
  Verifying  : pulp-builtins-admin-extensions-2.1.3-0.1.beta.el6.noarch   19/32 
  Verifying  : pulp-rpm-admin-extensions-2.1.3-0.1.beta.el6.noarch        20/32 
  Verifying  : pulp-puppet-admin-extensions-2.1.3-0.1.beta.el6.noarch     21/32 
  Verifying  : python-pulp-common-2.1.3-0.1.beta.el6.noarch               22/32 
  Verifying  : pulp-puppet-plugins-2.1.3-0.1.beta.el6.noarch              23/32 
  Verifying  : python-pulp-client-lib-2.1.3-0.1.beta.el6.noarch           24/32 
  Verifying  : pulp-server-2.1.3-0.1.beta.el6.noarch                      25/32 
  Verifying  : createrepo-0.9.9-18.el6.noarch                             26/32 
  Verifying  : python-pulp-bindings-2.1.3-0.1.beta.el6.noarch             27/32 
  Verifying  : python-pulp-rpm-extension-2.1.3-0.1.beta.el6.noarch        28/32 
  Verifying  : python-nectar-0.90.3-2.el6.noarch                          29/32 
  Verifying  : python-pulp-rpm-common-2.1.3-0.1.beta.el6.noarch           30/32 
  Verifying  : pulp-admin-client-2.1.3-0.1.beta.el6.noarch                31/32 
  Verifying  : pulp-selinux-2.1.3-0.1.beta.el6.noarch                     32/32 

Updated:
  pulp-puppet-plugins.noarch 0:2.2.0-0.30.beta.el6                              
  pulp-rpm-plugins.noarch 0:2.2.0-0.30.beta.el6                                 
  pulp-selinux.noarch 0:2.2.0-0.30.beta.el6                                     
  pulp-server.noarch 0:2.2.0-0.30.beta.el6                                      

Dependency Updated:
  createrepo.noarch 0:0.9.9-21.2.pulp.el6                                       
  pulp-admin-client.noarch 0:2.2.0-0.30.beta.el6                                
  pulp-builtins-admin-extensions.noarch 0:2.2.0-0.30.beta.el6                   
  pulp-puppet-admin-extensions.noarch 0:2.2.0-0.30.beta.el6                     
  pulp-rpm-admin-extensions.noarch 0:2.2.0-0.30.beta.el6                        
  python-nectar.noarch 0:1.1.1-1.el6                                            
  python-pulp-bindings.noarch 0:2.2.0-0.30.beta.el6                             
  python-pulp-client-lib.noarch 0:2.2.0-0.30.beta.el6                           
  python-pulp-common.noarch 0:2.2.0-0.30.beta.el6                               
  python-pulp-puppet-common.noarch 0:2.2.0-0.30.beta.el6                        
  python-pulp-rpm-common.noarch 0:2.2.0-0.30.beta.el6                           
  python-pulp-rpm-extension.noarch 0:2.2.0-0.30.beta.el6                        

Complete!
[root@pulp-v2-server ~]# yum update @pulp-admin
Loaded plugins: product-id, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Setting up Update Process
Package pulp-admin-client-2.2.0-0.30.beta.el6.noarch already installed and latest version
Package pulp-puppet-admin-extensions-2.2.0-0.30.beta.el6.noarch already installed and latest version
Package pulp-rpm-admin-extensions-2.2.0-0.30.beta.el6.noarch already installed and latest version
Warning: Group pulp-admin does not have any packages.
No Packages marked for Update
[root@pulp-v2-server ~]# pulp-manage-db 
Beginning database migrations.
Migration package pulp.server.db.migrations is up to date at version 4
Migration package pulp_puppet.plugins.migrations is up to date at version 0
Applying pulp_rpm.migrations version 8
Migration to pulp_rpm.migrations version 8 complete.
Applying pulp_rpm.migrations version 9
Migration to pulp_rpm.migrations version 9 complete.
Applying pulp_rpm.migrations version 10
Migration to pulp_rpm.migrations version 10 complete.
Applying pulp_rpm.migrations version 11
Migration to pulp_rpm.migrations version 11 complete.
Applying pulp_rpm.migrations version 12
Migration to pulp_rpm.migrations version 12 complete.
Applying pulp_rpm.migrations version 13
Migration to pulp_rpm.migrations version 13 complete.
Database migrations complete.
Loading content types.
Content types loaded.
[root@pulp-v2-server ~]#
Comment 3 Preethi Thomas 2013-09-04 13:52:48 EDT
[root@pulp-v2-server ~]# rpm -q pulp-server
pulp-server-2.2.0-0.30.beta.el6.noarch
[root@pulp-v2-server ~]# 


Looks like this fails
pulp-manage-db 
service httpd restart

After the upgrade 
pulp-manage-db 
service httpd restart

[root@pulp-v2-server ~]# pulp-admin rpm repo publish run --repo-id zoo 
+----------------------------------------------------------------------+
                      Publishing Repository [zoo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 32/32 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

But in pulp.log

2013-09-04 14:58:59,084 pulp.server.managers.repo.publish:ERROR: Exception caught from plugin during publish for repo [zoo]
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 122, in _do_publish
    publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 451, in publish_repo
    updateinfo_xml_path = updateinfo.updateinfo(errata_units, repo.working_dir)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/yum_plugin/updateinfo.py", line 159, in updateinfo
    'from'             : e.metadata['from'],
KeyError: 'from'
2013-09-04 14:58:59,085 pulp.server.dispatch.task:ERROR: Pulp exception occurred: PulpExecutionException
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py", line 138, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 98, in publish
    result = self._do_publish(repo, distributor_id, distributor_instance, transfer_repo, conduit, call_config)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 122, in _do_publish
    publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 451, in publish_repo
    updateinfo_xml_path = updateinfo.updateinfo(errata_units, repo.working_dir)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/yum_plugin/updateinfo.py", line 159, in updateinfo
    'from'             : e.metadata['from'],
PulpExecutionException: Pulp exception occurred: PulpExecutionException
2013-09-04 14:58:59,086 pulp.server.dispatch.task:INFO: FAILURE: Task a4ca1fcc-9c5e-4a59-8c51-8881114108f7: CallRequest: RepoPublishManager.publish(u'zoo', 'yum_distributor', publish_config_override=None)


> db.units_erratum.find()[0]
{
	"_id" : "38c8e89a-a93d-4ab5-91db-21b973a50309",
	"status" : "stable",
	"updated" : "",
	"description" : "Bear_Erratum",
	"issued" : "2012-01-27 16:08:05",
	"pushcount" : 1,
	"references" : [ ],
	"_content_type_id" : "erratum",
	"id" : "RHEA-2012:0001",
	"from_str" : "errata@redhat.com",
	"_storage_path" : null,
	"reboot_suggested" : false,
	"severity" : "",
	"title" : "Bear_Erratum",
	"_ns" : "units_erratum",
	"rights" : "",
	"solution" : "",
	"summary" : "",
	"version" : "1",
	"release" : "1",
	"type" : "security",
	"pkglist" : [
		{
			"packages" : [
				{
					"src" : "http://www.fedoraproject.org",
					"name" : "bear",
					"filename" : "bear-4.1-1.noarch.rpm",
					"epoch" : null,
					"version" : "4.1",
					"release" : "1",
					"arch" : "noarch"
				}
			],
			"name" : "1",
			"short" : ""
		}
	]
}
> 
bye
[root@pulp-v2-server ~]#
Comment 4 Michael Hrivnak 2013-09-04 16:32:31 EDT
https://github.com/pulp/pulp_rpm/pull/325
Comment 5 Preethi Thomas 2013-09-04 16:49:40 EDT
verified
[root@pulp-v2-server ~]# rpm -q pulp-server
pulp-server-2.2.0-0.32.beta.el6.noarch
[root@pulp-v2-server ~]# 

[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]# pulp-manage-db 
Beginning database migrations.
Migration package pulp.server.db.migrations is up to date at version 4
Migration package pulp_puppet.plugins.migrations is up to date at version 0
Applying pulp_rpm.migrations version 8
Migration to pulp_rpm.migrations version 8 complete.
Applying pulp_rpm.migrations version 9
Migration to pulp_rpm.migrations version 9 complete.
Applying pulp_rpm.migrations version 10
Migration to pulp_rpm.migrations version 10 complete.
Applying pulp_rpm.migrations version 11
Migration to pulp_rpm.migrations version 11 complete.
Applying pulp_rpm.migrations version 12
Migration to pulp_rpm.migrations version 12 complete.
Applying pulp_rpm.migrations version 13
Migration to pulp_rpm.migrations version 13 complete.
Database migrations complete.
Loading content types.
Content types loaded.
[root@pulp-v2-server ~]# service httpd restartStopping httpd:                                            [  OK  ]
Starting httpd:                                            [  OK  ]
[root@pulp-v2-server ~]# pulp-admin rpm repo publish run --repo-id zoo +----------------------------------------------------------------------+
                      Publishing Repository [zoo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 32/32 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[|]
... completed

Publishing repository over HTTPS
[-]
... completed



[root@pulp-v2-server ~]# pulp-admin rpm repo content errata --repo-id zoo
Description:      Bear_Erratum
From:             errata@redhat.com
Id:               RHEA-2012:0001
Issued:           2012-01-27 16:08:05
Pkglist:          
  Name:     1
  Packages: 
    Arch:     noarch
    Epoch:    None
    Filename: bear-4.1-1.noarch.rpm
    Name:     bear
    Release:  1
    Src:      http://www.fedoraproject.org
    Version:  4.1
  Short:    
Pushcount:        1
Reboot Suggested: False
References:       
Release:          1
Rights:           
Severity:         
Solution:         
Status:           stable
Summary:          
Title:            Bear_Erratum
Type:             security
Updated:          
Version:          1

Description:      Sea_Erratum
From:             errata@redhat.com
Id:               RHEA-2012:0002
Issued:           2012-01-27 16:08:06
Pkglist:          
  Name:     1
  Packages: 
    Arch:     noarch
    Epoch:    None
    Filename: walrus-0.71-1.noarch.rpm
    Name:     walrus
    Release:  1
    Src:      http://www.fedoraproject.org
    Version:  0.71
    Arch:     noarch
    Epoch:    None
    Filename: penguin-0.9.1-1.noarch.rpm
    Name:     penguin
    Release:  1
    Src:      http://www.fedoraproject.org
    Version:  0.9.1
    Arch:     noarch
    Epoch:    None
    Filename: shark-0.1-1.noarch.rpm
    Name:     shark
    Release:  1
    Src:      http://www.fedoraproject.org
    Version:  0.1
  Short:    
Pushcount:        1
Reboot Suggested: False
References:       
Release:          1
Rights:           
Severity:         
Solution:         
Status:           stable
Summary:          
Title:            Sea_Erratum
Type:             security
Updated:          
Version:          1

Description:      Bird_Erratum
From:             errata@redhat.com
Id:               RHEA-2012:0003
Issued:           2012-01-27 16:08:08
Pkglist:          
  Name:     1
  Packages: 
    Arch:     noarch
    Epoch:    None
    Filename: crow-0.8-1.noarch.rpm
    Name:     crow
    Release:  1
    Src:      http://www.fedoraproject.org
    Version:  0.8
    Arch:     noarch
    Epoch:    None
    Filename: stork-0.12-2.noarch.rpm
    Name:     stork
    Release:  2
    Src:      http://www.fedoraproject.org
    Version:  0.12
    Arch:     noarch
    Epoch:    None
    Filename: duck-0.6-1.noarch.rpm
    Name:     duck
    Release:  1
    Src:      http://www.fedoraproject.org
    Version:  0.6
  Short:    
Pushcount:        1
Reboot Suggested: False
References:       
Release:          1
Rights:           
Severity:         
Solution:         
Status:           stable
Summary:          
Title:            Bird_Erratum
Type:             security
Updated:          
Version:          1

Description:      Gorilla_Erratum
From:             errata@redhat.com
Id:               RHEA-2012:0004
Issued:           2012-01-27 16:08:09
Pkglist:          
  Name:     1
  Packages: 
    Arch:     noarch
    Epoch:    None
    Filename: gorilla-0.62-1.noarch.rpm
    Name:     gorilla
    Release:  1
    Src:      http://www.fedoraproject.org
    Version:  0.62
  Short:    
Pushcount:        1
Reboot Suggested: False
References:       
Release:          1
Rights:           
Severity:         
Solution:         
Status:           stable
Summary:          
Title:            Gorilla_Erratum
Type:             security
Updated:          
Version:          1
Comment 6 Preethi Thomas 2013-09-10 11:43:02 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.